aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
authorfujinhua <fu.jinhua@zte.com.cn>2017-08-18 15:03:18 +0800
committerfujinhua <fu.jinhua@zte.com.cn>2017-08-18 15:03:58 +0800
commit25bbfb14f191992f407d957d524ffb1cd0378655 (patch)
tree3968484183acb96c0b6f7babb07e43e622466fd6 /resources
parent169a896f8fc4db5a0054d31bb5bfd254f2352bb0 (diff)
Add seed codes of nfvo catalog
Change-Id: Id0646870cbb297cbeddfe223feb2235f11a4a511 Issue-Id: VFC-108 Signed-off-by: fujinhua <fu.jinhua@zte.com.cn>
Diffstat (limited to 'resources')
-rw-r--r--resources/bin/initDB.sh50
-rw-r--r--resources/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql31
-rw-r--r--resources/dbscripts/mysql/vfc-nfvo-catalog-createobj.sql23
3 files changed, 104 insertions, 0 deletions
diff --git a/resources/bin/initDB.sh b/resources/bin/initDB.sh
new file mode 100644
index 00000000..0971e00a
--- /dev/null
+++ b/resources/bin/initDB.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+user=$1
+password=$2
+port=$3
+host=$4
+echo "start create nfvocatalog db"
+sql_path=$HOME/../
+mysql -u$user -p$password -P$port -h$host <$sql_path/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql
+sql_result=$?
+if [ $sql_result != 0 ] ; then
+ echo "failed to create nfvocatalog database"
+ exit 1
+fi
+fileFlag=*createobj.sql
+location=$sql_path/dbscripts/mysql
+fileName=""
+for i in `ls $location`
+do
+ if [[ $i == ${fileFlag} ]];then
+ fileName=${i};
+ echo "start create table:${fileName}"
+ mysql -u$user -p$password -P$port -h$host <$sql_path/dbscripts/mysql/$fileName
+ sql_result=$?
+ if [ $sql_result != 0 ] ; then
+ echo "failed to init nfvocatalog table:${fileName}"
+ exit 1
+ fi
+ fi
+done
+echo "init nfvocatalog database success!"
+exit 0
+
diff --git a/resources/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql b/resources/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql
new file mode 100644
index 00000000..5e72e608
--- /dev/null
+++ b/resources/dbscripts/mysql/vfc-nfvo-catalog-createdb.sql
@@ -0,0 +1,31 @@
+--
+-- Copyright 2017 ZTE Corporation.
+--
+-- Licensed under the Apache License, Version 2.0 (the "License");
+-- you may not use this file except in compliance with the License.
+-- You may obtain a copy of the License at
+--
+-- http://www.apache.org/licenses/LICENSE-2.0
+--
+-- Unless required by applicable law or agreed to in writing, software
+-- distributed under the License is distributed on an "AS IS" BASIS,
+-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+-- See the License for the specific language governing permissions and
+-- limitations under the License.
+--
+
+/******************drop old database and user***************************/
+use mysql;
+drop database IF EXISTS nfvocatalog;
+delete from user where User='nfvocatalog';
+FLUSH PRIVILEGES;
+
+/******************create new database and user***************************/
+create database nfvocatalog CHARACTER SET utf8;
+
+GRANT ALL PRIVILEGES ON nfvocatalog.* TO 'nfvocatalog'@'%' IDENTIFIED BY 'nfvocatalog' WITH GRANT OPTION;
+GRANT ALL PRIVILEGES ON mysql.* TO 'nfvocatalog'@'%' IDENTIFIED BY 'nfvocatalog' WITH GRANT OPTION;
+
+GRANT ALL PRIVILEGES ON nfvocatalog.* TO 'nfvocatalog'@'localhost' IDENTIFIED BY 'nfvocatalog' WITH GRANT OPTION;
+GRANT ALL PRIVILEGES ON mysql.* TO 'nfvocatalog'@'localhost' IDENTIFIED BY 'nfvocatalog' WITH GRANT OPTION;
+FLUSH PRIVILEGES; \ No newline at end of file
diff --git a/resources/dbscripts/mysql/vfc-nfvo-catalog-createobj.sql b/resources/dbscripts/mysql/vfc-nfvo-catalog-createobj.sql
new file mode 100644
index 00000000..53b5b4f0
--- /dev/null
+++ b/resources/dbscripts/mysql/vfc-nfvo-catalog-createobj.sql
@@ -0,0 +1,23 @@
+--
+-- Copyright 2017 ZTE Corporation.
+--
+-- Licensed under the Apache License, Version 2.0 (the "License");
+-- you may not use this file except in compliance with the License.
+-- You may obtain a copy of the License at
+--
+-- http://www.apache.org/licenses/LICENSE-2.0
+--
+-- Unless required by applicable law or agreed to in writing, software
+-- distributed under the License is distributed on an "AS IS" BASIS,
+-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+-- See the License for the specific language governing permissions and
+-- limitations under the License.
+--
+
+use nfvocatalog;
+
+DROP TABLE IF EXISTS NFVO_SAMPLE;
+CREATE TABLE NFVO_SAMPLE (
+ `SAMPLEID` varchar(255) NOT NULL PRIMARY KEY,
+ `SAMPLENAME` varchar(255) NOT NULL
+);